Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sip_interface_st Struct Reference

## Data Fields
void(* | init )(sip_state *s, const uint8_t *key)
void(* | update )(sip_state *s, const uint8_t *data, size_t len)
void(* | final )(sip_state *s, uint64_t *digest)

## Detailed Description

Definition at line 141 of file siphash.c.

## Field Documentation

## ◆ final

void(* sip_interface_st::final) (sip_state *s, uint64_t *digest)

Definition at line 144 of file siphash.c.

## ◆ init

void(* sip_interface_st::init) (sip_state *s, const uint8_t *key)

Definition at line 142 of file siphash.c.

## ◆ update

void(* sip_interface_st::update) (sip_state *s, const uint8_t *data, size_t len)

Definition at line 143 of file siphash.c.

The documentation for this struct was generated from the following file:

- siphash.c